html, body {
  margin: 0;
  padding-top: 35px; 
}

@font-face {
  font-family: 'Subway Sans';
  src: url('../fonts/Subway Sans/Subway Sans LCG-Regular.otf') format('opentype');
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'Subway Sans';
  src: url('../fonts/Subway Sans/Subway Sans LCG-Medium.otf') format('opentype');
  font-weight: 500; 
  font-style: normal;
}

@font-face {
  font-family: 'Subway Sans';
  src: url('../fonts/Subway Sans/Subway Sans LCG-Bold.otf') format('opentype');
  font-weight: 700; 
  font-style: normal;
}

@font-face {
  font-family: 'Subway Sans Condensed';
  src: url('../fonts/Subway Sans Condensed/Subway Sans Cond-Medium.otf') format('opentype');
  font-weight: 500;
  font-style: normal;
}

/* Vista Login */

.navbar-login {
    height: 85px;
    background-color: #ffffff !important;
    display: flex;
    justify-content: center;
    align-items: center;
}

.navbar-login .navbar-brand {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
}

.navbar-brand .navbar-logo-login {
    width: 45px;
}

.separator-vertical {
    width: 2px;
    height: 45px; 
    background-color: #D8D8D8;
    margin: 0 25px; 
}

.navbar-collapse-login {
    display: flex;
    justify-content: start;
    align-items: center;
}

.navbar-collapse-login .return-button {
    display: flex;
    justify-content: start;
    align-items: center;
    text-decoration: none;
    font-family: 'Subway Sans'; 
    font-weight: 500; /* Medium */
    font-size: 16px;
    line-height: 22px;
    letter-spacing: 0%;
    color: #000000;
}

.return-button i {
    font-size: 24px !important;
}

/* Off Canvas */

.offcanvas-login-menu {
    width: 85% !important;
}

.offcanvas-login-menu .return-button {
    display: flex;
    justify-content: start;
    align-items: center;
    text-decoration: none;
    font-family: 'Subway Sans'; 
    font-weight: 500; /* Medium */
    font-size: 16px;
    line-height: 22px;
    letter-spacing: 0%;
    color: #000000;
}

.navbar-toggler {
    border: 1px solid #008938 !important;
}

.navbar-toggler:focus {
  outline: none !important;
  box-shadow: none !important;
}

.logo-subway {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 5rem;
}

.logo-subway img {
    width: 170px;
}

.title-login-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.title-login-container .login-title {
    width: 300px;
    font-family: 'Subway Sans'; 
    font-weight: 700; /* Bold */
    font-size: 24px;
    line-height: 31px;
    letter-spacing: 0%;
    color: #000000;
    text-align: center;
}

.title-login-container span {
    font-family: 'Subway Sans';
    font-weight: 400; /* Regular */
    font-size: 16px;
    line-height: 31px;
    letter-spacing: 0%;
    color: #000000;
}

.login-form-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 3rem;
    border-radius: 10px;
    width: 100%;
    max-width: 100%;
}
 
.login-form .form-group {
    position: relative;
    margin-bottom: 1.5rem;
}

.login-form .form-group input {
    width: 315px;
    height: 60px;
    padding: 6px 0px 0px 12px;
    font-size: 16px;
    border: 1px solid lightgrey;
    border-radius: 5px;
    outline: none;
    background: none;
}

.login-form .form-group label {
    position: absolute;
    top: 12px;
    left: 12px;
    color: #999;
    font-size: 14px;
    pointer-events: none;
    transition: 0.2s ease all;
    background: #fff;
    padding: 0 4px;
}

.login-form .form-group input:focus + label,
.login-form .form-group input:not(:placeholder-shown) + label {
    top: 2px;
    left: 8px;
    font-size: 12px;
    color: #4CAF50;
}

.icon-password {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    color: #008938;    
    font-size: 18px;
}

.actions-login {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.btn-logIn {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 315px;
    height: 45px;
    background-color: #008938;
    font-family: 'Subway Sans Condensed'; 
    font-weight: 500; /* Medium */
    font-size: 18px;
    line-height: 14px;
    letter-spacing: 0.5px;
    color: #fff;
    border-radius: 5px;
    margin-top: 0.5rem;
}

.btn-logIn:hover {
    background-color: #008938 !important;
    color: white !important;
}

.terms-subway {
    width: 315px;
    font-family: 'Subway Sans';
    font-weight: 400; /* Regular */
    font-size: 12px;
    line-height: 19px;
    letter-spacing: 0%;
    color: #000000;
    text-align: center;
    margin-top: 2rem;
}

.terms-subway span a {
    font-family: 'Subway Sans';
    font-weight: 400; /* Regular */
    font-size: 12px;
    line-height: 19px;
    letter-spacing: 0%;
    color: #000000 !important;
    text-underline-offset: 2px; 
}

.register-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 1rem;
}

.register-container p  {
    font-family: 'Subway Sans';
    font-weight: 500; /* Medium */
    font-size: 14px;
    line-height: 18px;
    color: #000000;
    margin-top: 1rem;
}

.action-register {
    font-family: 'Subway Sans';
    font-weight: 500; /* Medium */
    font-size: 14px;
    line-height: 18px;
    color: #008938;
    text-underline-offset: 5px; 
    text-decoration-color: #008938;
}

.forgot-password-container {
    display: flex;
    justify-content: center;
}

.btn-forgot-password {
    font-family: 'Subway Sans'; 
    font-weight: 500; /* Medium */
    font-size: 14px;
    line-height: 19px;
    letter-spacing: 0px;
    color: #008938;
    text-decoration: underline;
    text-underline-offset: 2px; 
    cursor: pointer;
}

/* Vista Registro */

.title-register-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.title-register-container .register-title {
    width: 325px;
    font-family: 'Subway Sans'; 
    font-weight: 700; /* Bold */
    font-size: 24px;
    line-height: 31px;
    letter-spacing: 0%;
    color: #000000;
    text-align: center;
}

.indicator {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4px; 
    margin: 20px 0;
}

.line {
    width: 155px;   
    height: 4px;   
    border-radius: 50px;
    background-color: rgba(128, 128, 128, 0.3); 
    transition: background-color 0.3s ease;
}

.line.active {
    background-color: #008000; 
}

.register-form-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 1rem;
    border-radius: 10px;
    width: 100%;
    max-width: 100%;
}

.register-form .form-group {
    position: relative;
    margin-bottom: 1.2rem;
}

.register-form .form-group input {
    width: 315px;
    height: 60px;
    padding: 6px 0px 0px 12px;
    font-size: 16px;
    border: 1px solid lightgrey;
    border-radius: 5px;
    outline: none;
    background: none;
}

.register-form .form-group label {
    position: absolute;
    top: 12px;
    left: 12px;
    color: #999;
    font-size: 14px;
    pointer-events: none;
    transition: 0.2s ease all;
    background: #fff;
    padding: 0 4px;
}

.register-form .form-group input:focus + label,
.register-form .form-group input:not(:placeholder-shown) + label {
    top: 2px;
    left: 8px;
    font-size: 12px;
    color: #4CAF50;
}

.register-form p {
    font-family: 'Subway Sans'; 
    font-weight: 400; /* Regular */
    font-size: 12px;
    line-height: 19px;
    letter-spacing: 0px;
    color: grey;
    margin-bottom: 0;
}

.label-register {
    font-family: 'Subway Sans'; 
    font-weight: 400; /* Regular */
    font-size: 16px;
    line-height: 19px;
    letter-spacing: 0px;
    color: black;
}

.actions-register {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.btn-next {
    width: 315px;
    height: 45px;
    background-color: #008938;
    font-family: 'Subway Sans Condensed'; 
    font-weight: 500; /* Medium */
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.5px;
    color: white;
    border-radius: 5px; 
    display: flex;                
    justify-content: center;      
    align-items: center;          
    text-align: center;
}

.btn-next:hover {
    background-color: #008938 !important;
    color: white !important;
}

.have-account-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 1.5rem;
}

.have-account-container span {
    font-family: 'Subway Sans';
    font-weight: 500; /* Medium */
    font-size: 14px;
    line-height: 18px;
}

.have-account-container .action-logIn {
    font-family: 'Subway Sans';
    font-weight: 500; /* Medium */
    font-size: 14px;
    line-height: 18px;
    color: #008938;
    text-underline-offset: 5px; 
    text-decoration-color: #008938;
}

.form-select-id {
    width: 315px;
    height: 60px;
    padding: 10px;    
    font-size: 16px;
    border: 1px solid lightgrey;
    border-radius: 5px;
    outline: none;
    background: none;
    color: #999;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 24 24'%3E%3Cpath fill='%23666' d='M7 10l5 5 5-5z'/%3E%3C/svg%3E") 
    no-repeat right 10px center; 
}

.form-control-input-date, .form-control-input-month, .form-control-input-year {
    width: 100px;
    height: 60px;
    padding: 10px;
    font-size: 16px;
    border: 1px solid lightgrey;
    border-radius: 5px;
    outline: none;
    color: #999;
    
    /* Quita estilos por defecto de la flecha */
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 24 24'%3E%3Cpath fill='%23666' d='M7 10l5 5 5-5z'/%3E%3C/svg%3E") 
    no-repeat right 10px center; 
    background-color: #fff; 
}

.form-birthday p {
    width: 315px;
    font-family: 'Subway Sans'; 
    font-weight: 400; /* Regular */
    font-size: 12px;
    line-height: 19px;
    letter-spacing: 0px;
    color: grey;
    margin-bottom: 1rem;
}

.option-month {
    font-size: 16px;
    border: 1px solid lightgrey !important;
    border-radius: 6px;
    outline: none;
    background: none;
    color: #999;
}

.terms-conditions-container {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.terms-conditions-container p {
    width: 325px;
    font-family: 'Subway Sans';
    font-weight: 500; /* Medium */
    font-size: 14px;
    line-height: 18px;
    letter-spacing: 0px;
}

.terms-conditions-container a {
    color: #008938;
}

.button-register-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 3rem;
}

.btn-register {
    width: 315px;
    height: 45px;
    background-color: #008938;
    font-family: 'Subway Sans Condensed'; 
    font-weight: 500; /* Medium */
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.5px;
    color: white;
    border-radius: 5px;
    display: flex;                
    justify-content: center;      
    align-items: center;          
    text-align: center;
}

.btn-register:hover,
.btn-register:focus,
.btn-register:active {
    background-color: #008938 !important;
    color: white !important;
}

/* Vista Subway Card */

.title-subwaycard-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.title-subwaycard-container .subway-card-title {
    width: 325px;
    font-family: 'Subway Sans'; 
    font-weight: 700; /* Bold */
    font-size: 24px;
    line-height: 31px;
    letter-spacing: 0%;
    color: #000000;
    text-align: center;
}

.title-subwaycard-container p {
    width: 325px;
    font-family: 'Subway Sans'; 
    font-weight: 400; /* Regular */
    font-size: 16px;
    line-height: 31px;
    letter-spacing: 0%;
    color: #000000;
    text-align: center;
}

.subway-card-form-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    width: 100%;
    max-width: 100%;
}

.subway-card-form .form-group {
    position: relative;
    margin-bottom: 1.2rem;
}

.subway-card-form .form-group input {
    width: 315px;
    height: 60px;
    padding: 6px 0px 0px 12px;
    font-size: 16px;
    border: 1px solid lightgrey;
    border-radius: 5px;
    outline: none;
    background: none;
}

.subway-card-form .form-group label {
    position: absolute;
    top: 12px;
    left: 12px;
    color: #999;
    font-size: 14px;
    pointer-events: none;
    transition: 0.2s ease all;
    background: #fff;
    padding: 0 4px;
}

.subway-card-form .form-group input:focus + label,
.subway-card-form .form-group input:not(:placeholder-shown) + label {
    top: 2px;
    left: 8px;
    font-size: 12px;
    color: #4CAF50;
}

.subway-card-form p {
    font-family: 'Subway Sans'; 
    font-weight: 400; /* Regular */
    font-size: 12px;
    line-height: 19px;
    letter-spacing: 0px;
    color: grey;
    margin-bottom: 0;
}

.label-subway-card {
    font-family: 'Subway Sans'; 
    font-weight: 400; /* Regular */
    font-size: 16px;
    line-height: 19px;
    letter-spacing: 0px;
    color: #000000;
}

.form-select-subway-card {
    width: 315px;
    height: 60px;
    padding: 10px;    
    font-size: 16px;
    border: 1px solid lightgrey;
    border-radius: 5px;
    outline: none;
    background: none;
    color: #999;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 24 24'%3E%3Cpath fill='%23666' d='M7 10l5 5 5-5z'/%3E%3C/svg%3E") 
    no-repeat right 10px center; 
}

.actions-subway-card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 1.5rem;
}

.btn-continue {
    width: 315px;
    height: 45px;
    font-family: 'Subway Sans Condensed'; 
    font-weight: 500; /* Medium */
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.5px;
    color: white;
    background-color: #008938;
    border-radius: 5px;
    display: flex;                
    justify-content: center;      
    align-items: center;          
    text-align: center; 
}

.btn-continue:hover,
.btn-continue:focus,
.btn-continue:active {
    background-color: #008938 !important;
    color: white !important;
}

.btn-dont-have-subway-card {
    width: 315px;
    height: 45px;
    font-family: 'Subway Sans Condensed'; 
    font-weight: 500; /* Medium */
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.5px;
    color: white;
    background-color: #F2B700;
    border-radius: 5px;
    display: flex;                
    justify-content: center;      
    align-items: center;          
    text-align: center; 
}

.btn-dont-have-subway-card:hover,
.btn-dont-have-subway-card:focus,
.btn-dont-have-subway-card:active {
    background-color: #F2B700 !important;
    color: white !important;
}

/* Vista Actualiza Datos */

.title-update-data-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.title-update-data-container .update-data-title {
    width: 325px;
    font-family: 'Subway Sans'; 
    font-weight: 700; /* Bold */
    font-size: 24px;
    line-height: 31px;
    letter-spacing: 0%;
    color: #000000;
    text-align: center;
}

.text-verify-data {
    display: flex;
    justify-content: center;
    align-items: center;
}

.text-verify-data p {
    width: 325px;
    font-family: 'Subway Sans'; 
    font-weight: 400; /* Regular */
    font-size: 16px;
    line-height: 31px;
    letter-spacing: 0%;
    color: #000000;
    text-align: center;
}

.update-data-form-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-top: 1rem;
    border-radius: 10px;
    width: 100%;
    max-width: 100%;
}

.update-data-form .form-group {
    position: relative;
    margin-bottom: 1.2rem;
}

.update-data-form .form-group input {
    width: 315px;
    height: 60px;
    padding: 6px 0px 0px 12px;
    font-size: 16px;
    border: 1px solid lightgrey;
    border-radius: 5px;
    outline: none;
    background: none;
}

.update-data-form .form-group label {
    position: absolute;
    top: 12px;
    left: 12px;
    color: #999;
    font-size: 14px;
    pointer-events: none;
    transition: 0.2s ease all;
    background: #fff;
    padding: 0 4px;
}

.update-data-form .form-group input:focus + label,
.update-data-form .form-group input:not(:placeholder-shown) + label {
    top: 2px;
    left: 8px;
    font-size: 12px;
    color: #4CAF50;
}

.update-data-form p {
    font-family: 'Subway Sans'; 
    font-weight: 400; /* Regular */
    font-size: 12px;
    line-height: 19px;
    letter-spacing: 0px;
    color: grey;
    margin-bottom: 1rem;
}

.label-update-data-form {
    font-family: 'Subway Sans'; 
    font-weight: 400; /* Regular */
    font-size: 16px;
    line-height: 19px;
    letter-spacing: 0px;
    color: black;
}

.button-confirm-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 3rem;
}

.btn-confirm {
    width: 315px;
    height: 45px;
    background-color: #008938;
    font-family: 'Subway Sans Condensed'; 
    font-weight: 500; /* Medium */
    font-size: 18px;
    line-height: 24px;
    letter-spacing: 0.5px;
    color: white;
    border-radius: 5px;
    display: flex;                
    justify-content: center;      
    align-items: center;          
    text-align: center; 
}

.btn-confirm:hover,
.btn-confirm:focus,
.btn-confirm:active {
    background-color: #008938 !important;
    color: white !important;
}

/* Media Querys */

/* Mobile */

@media (max-width: 575px) {

    /* Menu Login */

    html, body {
        margin: 0;
        padding-top: 25px;
        padding-bottom: 20px;
    }

    .navbar-login .navbar-brand {
        gap: 1rem;
    }

    .separator-vertical {
        margin: 0 15px;
    }

    .navbar-toggler {
        display: none !important;
    }

    .navbar-login .collapse {
        display: flex !important;
        margin-left: 1rem;
    }

    .navbar-login .navbar-brand {
        display: none !important;
    }

    .navbar-collapse-login {
        display: flex !important;
        justify-content: flex-start;
        align-items: center;
    }

    .return-button {
        display: flex !important;
    }

    /* Ajusta la separación para que no quede pegado */
    .return-button i {
        font-size: 24px !important;
    }

}

/* Tablet */

@media (min-width: 576px) and (max-width: 1024px) {

    /* Menu Login */

    .navbar-toggler {
        display: none !important;
    }

    .navbar-login .collapse {
        display: flex !important;
        margin-left: 1rem;
    }

    .navbar-login .navbar-brand {
        display: none !important;
    }

    .navbar-collapse-login {
        display: flex !important;
        justify-content: flex-start;
        align-items: center;
    }

    .return-button {
        display: flex !important;
    }

    /* Ajusta la separación para que no quede pegado */
    .return-button i {
        font-size: 24px !important;
    }
  
}


